Request

Response

    GET

    appbundles/:id/versions/:version

    Gets the details of the specified version of the AppBundle.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/da/us-east/v3/appbundles/:id/versions/:version
    Authentication Context
    app only
    Required OAuth Scopes
    code:all
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via OAuth
    * Required

    Request

    URI Parameters

    id
    string
    Name of AppBundle (unqualified).
    version
    int
    Version to retrieve (as integer).

    Response

    HTTP Status Code Summary

    200
    OK
    Successfully get the details of an AppBundle’s version.
    403
    Forbidden
    Unauthorized
    404
    Not Found
    Could not find the item.
    500
    Internal Server Error
    Unknown error.

    Response

    Body Structure (200)

    Expand all
    package
    string
    The URL that points to the zip package for the AppBundle or Engine.
    uploadParameters
    object
    The parameters needed to POST an AppBundle.
    endpointURL
    string
    The URL to upload the AppBundle package to.
    formData
    object
    FormData parameters to be used in the body of the AppBundle package upload request. Must be followed by a ‘file’ parameter indicating the package file location.
    *
    string
    Type: dictionary<string, *>
    id
    string
    Name of AppBundle, see the example section.
    engine
    string
    The actual processing engine that runs the WorkItem job and processes the Activity.
    appbundles
    array: string
    A module referenced by an Activity in order to perform specific functions. Typically this is a DLL or some other form of custom code.
    settings
    object
    The url/string Settings for a given set of AppBundles.
    *
    any of
    Type: dictionary<string, *>
    StringSetting
    object
    value
    string
    isEnvironmentVariable
    boolean
    UrlSetting
    object
    url
    string
    Url.
    headers
    object
    Headers.
    *
    string
    Type: dictionary<string, *>
    verb
    enum:string
    Defines the operation for a parameter. get, put, post, patch imply an HTTP operation on the url in the parameter. read implies that the string value of parameter should be read. get and read imply input parameters all others are output. Possible values: get, head, put, post, patch, read
    multiparts
    object
    Provide multipart post method to upload the results and multiparts can be empty if there is no “parameter” to provide.

    It supports Box, Google Drive and Amazon Simple Storage Service (S3) services.

    Examples of using argument “multiparts”:

    Box:

    “multiparts”: {“attributes”: {“name”: “result.txt”, “parent”: {“id”: “xxxxx”}}, “mydata”: “xxxxx”}

    Google Drive:

    “multiparts”: {“keys”: {“name”: “result.txt”, “parent” :[“xxxxx”]}}

    Amazon Simple Storage Service (S3):

    “multiparts”: {“key”: “result.txt”, “policy”: “xxxxx”, “x-amz-signature”: “xxxxx”, “x-amz-credential”: “xxxxx”, “x-amz-algorithm”: “AWS4-HMAC-SHA256”, “x-amz-date”: “20190820T000000Z”, “bucket”: “xxxxx”}
    *
    object
    Type: dictionary<string, *>
    description
    string
    Human readable description of the object.
    version
    int
    The verison retrieved.

    Example

    Successfully get the details of an AppBundle’s version.

    Request

    curl -v 'https://developer.api.autodesk.com/da/us-east/v3/appbundles/:id/versions/:version' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "id": "ChangeParams",
      "engine": "Autodesk.Inventor+23",
      "version": 10
    }